package com.zcloud.primeport.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.primeport.domain.gateway.VideoGateway;
import com.zcloud.primeport.domain.model.VideoE;
import com.zcloud.primeport.dto.VideoAddCmd;
import lombok.AllArgsConstructor;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;


/**
 * web-app
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:30
 */
@Component
@AllArgsConstructor
public class VideoAddExe {
    private final VideoGateway videoGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(VideoAddCmd cmd) {
        VideoE examTypeE = new VideoE();
        BeanUtils.copyProperties(cmd, examTypeE);
        boolean res = false;
        try {
            res = videoGateway.add(examTypeE);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        if (!res) {
            throw new BizException("保存失败");
        }
        return true;
    }
}

